Update Linked CRM Records
curl --request PUT \
--url https://api.attention.tech/v2/conversations/{id}/linked-crm-records \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"opportunity_id": "opp_xyz789",
"linked_crm_records": [
{
"id": "acc_001",
"code": "salesforce_account"
},
{
"id": "con_002",
"code": "salesforce_contact"
}
]
}
'import requests
url = "https://api.attention.tech/v2/conversations/{id}/linked-crm-records"
payload = {
"opportunity_id": "opp_xyz789",
"linked_crm_records": [
{
"id": "acc_001",
"code": "salesforce_account"
},
{
"id": "con_002",
"code": "salesforce_contact"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
opportunity_id: 'opp_xyz789',
linked_crm_records: [
{id: 'acc_001', code: 'salesforce_account'},
{id: 'con_002', code: 'salesforce_contact'}
]
})
};
fetch('https://api.attention.tech/v2/conversations/{id}/linked-crm-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Conversation
Update Linked CRM Records
Updates the CRM records (accounts, contacts, etc.) linked to a conversation. Replaces the current set of linked records with the provided list.
PUT
/
conversations
/
{id}
/
linked-crm-records
Update Linked CRM Records
Authorizations
Path Parameters
UUID of the conversation to update
Body
application/jsonapplication/vnd.api+json
Linked CRM records to set on the conversation
Response
Linked CRM records updated successfully
Indicates whether the linked CRM records were updated successfully
Was this page helpful?
⌘I